Subject: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Nov 2020 10:12:02 +0200

> From: Fatih Aydin <[email-masked]>
> Date: Thu, 12 Nov 2020 19:44:35 +0000
> 
> When I set Turkish as the language environment, I started to have problems
>  with gpg.
> I have tried to;
> - Change lanuage environment of OS (locale.conf) instead of changing it in
>  Emacs, nothing changed.
> - Set another languages to see if they also cause problem (Polish and
>  Arabic), they were okay. Only Turkish is the problematic one.
> The problems I have observed:
> - I get this error message when I run package-install:
> Error while verifying signature archive-contents.sig:
> Command output:gpg: Signature made Thu 12 Nov 2020 01:05:03 PM +03
> - When I run org-decrypt-entry, nothing happens. (in English, it works)
> In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cairo
>  version 1.17.3)

Can you please show a recipe to reproduce the problem starting from
"emacs -Q"?  In particular, please describe how did you set the
Turkish language environment, given that your locale is en_US.UTF-8.

Thanks.